# Class DrmaaException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.ggf.drmaa.DrmaaException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AlreadyActiveSessionException, AuthorizationException, DeniedByDrmException, DrmCommunicationException, DrmsExitException, DrmsInitException, ExitTimeoutException, InconsistentStateException, InvalidAttributeValueException, InvalidJobException, InvalidJobTemplateException, NoActiveSessionException, TryLaterException, UnsupportedAttributeException`

public abstract class DrmaaException extends Exception
The base class for all DRMAA Exceptions.

Since:
  0.5
Version:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DrmaaException()`
Creates a new instance of `DrmaaException` without detail message.
`DrmaaException(String msg)`
Constructs an instance of `DrmaaException` with the specified detail message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DrmaaException

public DrmaaException()
Creates a new instance of `DrmaaException` without detail message.

### DrmaaException

public DrmaaException(String msg)
Constructs an instance of `DrmaaException` with the specified detail message.

Parameters:
  `msg` - the detail message.